[biomart-users] ant compile failing because of outdated dependencies

classic Classic list List threaded Threaded
5 messages Options
Reply | Threaded
Open this post in threaded view
|

[biomart-users] ant compile failing because of outdated dependencies

Paul Schilling
Hi All,

I am trying to locally install biomart and am following the github instructions at https://github.com/biomart/BioMart

At the ant compile step, it throws an error at the beginning:

[javac] /bioinfo/userhome/pschilling/biomart/BioMart/src/org/biomart/api/soap/PortalServiceImpl.java:8: error: package javax.jws does not exist

Googling the error, it becomes apparent that these java dependencies are no longer valid:
import javax.jws.WebMethod; import javax.jws.WebParam; import javax.jws.WebService; import javax.jws.soap.SOAPBinding; 

However the only solution that is presented involves adding a dependency block to a maven .pom file...but maven is not used at all in the github instructions for biomart. 

Can anyone here help, or point me to someone who can?

Thanks! 

--
You received this message because you are subscribed to the Google Groups "biomart-users" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
To view this discussion on the web, visit https://groups.google.com/d/msgid/biomart-users/fcbbd75a-f3ca-4cc6-96ab-d572e71f2be0n%40googlegroups.com.
Reply | Threaded
Open this post in threaded view
|

[biomart-users] Re: ant compile failing because of outdated dependencies

Paul Schilling
Just to make sure I am not barking up the wrong tree - the only reason I'm trying to install this, is that one of our bioinformaticians is using the R package biomaRt, which connects remotely to the ensembl biomart database on the interwebs. I'm being tasked with downloading the relevant hg38 ensembl data into a local mysql database, and having the user point her biomaRt to that instead.  So using  https://github.com/biomart/BioMart seemed like the way to go, but maybe there is a better way?  

On Wednesday, October 7, 2020 at 1:03:15 PM UTC-5 Paul Schilling wrote:
Hi All,

I am trying to locally install biomart and am following the github instructions at https://github.com/biomart/BioMart

At the ant compile step, it throws an error at the beginning:

[javac] /bioinfo/userhome/pschilling/biomart/BioMart/src/org/biomart/api/soap/PortalServiceImpl.java:8: error: package javax.jws does not exist

Googling the error, it becomes apparent that these java dependencies are no longer valid:
import javax.jws.WebMethod; import javax.jws.WebParam; import javax.jws.WebService; import javax.jws.soap.SOAPBinding; 

However the only solution that is presented involves adding a dependency block to a maven .pom file...but maven is not used at all in the github instructions for biomart. 

Can anyone here help, or point me to someone who can?

Thanks! 

--
You received this message because you are subscribed to the Google Groups "biomart-users" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
To view this discussion on the web, visit https://groups.google.com/d/msgid/biomart-users/92119ea5-8b9f-44c2-8311-78a11f2dccd5n%40googlegroups.com.
Reply | Threaded
Open this post in threaded view
|

Re: [biomart-users] ant compile failing because of outdated dependencies

mchakiachvili
In reply to this post by Paul Schilling
Dear Paul, 

I think the best thing would be to do it the "old way" and download the required pom jar package and manually add it into the lib directory. 

Did you try this option? 

Marc

On Wed, 2020-10-07 at 11:03 -0700, Paul Schilling wrote:
Hi All,

I am trying to locally install biomart and am following the github instructions at https://github.com/biomart/BioMart

At the ant compile step, it throws an error at the beginning:

[javac] /bioinfo/userhome/pschilling/biomart/BioMart/src/org/biomart/api/soap/PortalServiceImpl.java:8: error: package javax.jws does not exist

Googling the error, it becomes apparent that these java dependencies are no longer valid:
import javax.jws.WebMethod; import javax.jws.WebParam; import javax.jws.WebService; import javax.jws.soap.SOAPBinding; 

However the only solution that is presented involves adding a dependency block to a maven .pom file...but maven is not used at all in the github instructions for biomart. 

Can anyone here help, or point me to someone who can?

Thanks! 

--
You received this message because you are subscribed to the Google Groups "biomart-users" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
To view this discussion on the web, visit https://groups.google.com/d/msgid/biomart-users/fcbbd75a-f3ca-4cc6-96ab-d572e71f2be0n%40googlegroups.com.
-- 
Marc Chakiachvili

Ensembl Production Project Leader - Genomics Technology Infrastructure

European Bioinformatics Institute (EMBL-EBI)
European Molecular Biology Laboratory
Wellcome Trust Genome Campus
Hinxton
Cambridge CB10 1SD
United Kingdom

--
You received this message because you are subscribed to the Google Groups "biomart-users" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
To view this discussion on the web, visit https://groups.google.com/d/msgid/biomart-users/c0d071f0315009b56eb5bea5831b297bea95a2fc.camel%40ebi.ac.uk.
Reply | Threaded
Open this post in threaded view
|

Re: [biomart-users] ant compile failing because of outdated dependencies

Syed Haider-5
In reply to this post by Paul Schilling
Hi Paul,

biomaRt R package pulls the data from ensembl installation of biomart 0.7. You would need to install biomart-perl software and the download the relevant mart databases from ensembl. You are downloading biomart software v0.9 which is not what you want if your target is to point biomaRt R api to talk to a local biomart server.

On a different note, I wonder if it is necessary to setup all this for one user - is it because they send many queries or because queries expect very large amount of data and hence getting a slow response/timeouts? 

Best,
Syed


On Wednesday, 7 October 2020, Paul Schilling <[hidden email]> wrote:
Just to make sure I am not barking up the wrong tree - the only reason I'm trying to install this, is that one of our bioinformaticians is using the R package biomaRt, which connects remotely to the ensembl biomart database on the interwebs. I'm being tasked with downloading the relevant hg38 ensembl data into a local mysql database, and having the user point her biomaRt to that instead.  So using  https://github.com/biomart/BioMart seemed like the way to go, but maybe there is a better way?  

On Wednesday, October 7, 2020 at 1:03:15 PM UTC-5 Paul Schilling wrote:
Hi All,

I am trying to locally install biomart and am following the github instructions at https://github.com/biomart/BioMart

At the ant compile step, it throws an error at the beginning:

[javac] /bioinfo/userhome/pschilling/biomart/BioMart/src/org/biomart/api/soap/PortalServiceImpl.java:8: error: package javax.jws does not exist

Googling the error, it becomes apparent that these java dependencies are no longer valid:
import javax.jws.WebMethod; import javax.jws.WebParam; import javax.jws.WebService; import javax.jws.soap.SOAPBinding; 

However the only solution that is presented involves adding a dependency block to a maven .pom file...but maven is not used at all in the github instructions for biomart. 

Can anyone here help, or point me to someone who can?

Thanks! 

--
You received this message because you are subscribed to the Google Groups "biomart-users" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
To view this discussion on the web, visit https://groups.google.com/d/msgid/biomart-users/92119ea5-8b9f-44c2-8311-78a11f2dccd5n%40googlegroups.com.


--
<font color="green">Please consider environment before you print this!</font>

--
You received this message because you are subscribed to the Google Groups "biomart-users" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
To view this discussion on the web, visit https://groups.google.com/d/msgid/biomart-users/CACLWztHPyt_L72-mZ1WsQcvtjUkKGgG%2BnV2R5pyxNvffRa%2B%3D_w%40mail.gmail.com.
Reply | Threaded
Open this post in threaded view
|

Re: [biomart-users] ant compile failing because of outdated dependencies

Paul Schilling
Thank you very much for your responses, this helps immensely.

>>  On a different note, I wonder if it is necessary to setup all this for one user - is it because they send many queries or because queries expect very large amount of data and hence getting a slow response/timeouts?  <<

I think it has more to do with the company being on a secure network and wanting to limit the amount of traffic going to the outside internet.


On Thu, Oct 8, 2020 at 1:24 AM Syed Haider <[hidden email]> wrote:
Hi Paul,

biomaRt R package pulls the data from ensembl installation of biomart 0.7. You would need to install biomart-perl software and the download the relevant mart databases from ensembl. You are downloading biomart software v0.9 which is not what you want if your target is to point biomaRt R api to talk to a local biomart server.

On a different note, I wonder if it is necessary to setup all this for one user - is it because they send many queries or because queries expect very large amount of data and hence getting a slow response/timeouts? 

Best,
Syed


On Wednesday, 7 October 2020, Paul Schilling <[hidden email]> wrote:
Just to make sure I am not barking up the wrong tree - the only reason I'm trying to install this, is that one of our bioinformaticians is using the R package biomaRt, which connects remotely to the ensembl biomart database on the interwebs. I'm being tasked with downloading the relevant hg38 ensembl data into a local mysql database, and having the user point her biomaRt to that instead.  So using  https://github.com/biomart/BioMart seemed like the way to go, but maybe there is a better way?  

On Wednesday, October 7, 2020 at 1:03:15 PM UTC-5 Paul Schilling wrote:
Hi All,

I am trying to locally install biomart and am following the github instructions at https://github.com/biomart/BioMart

At the ant compile step, it throws an error at the beginning:

[javac] /bioinfo/userhome/pschilling/biomart/BioMart/src/org/biomart/api/soap/PortalServiceImpl.java:8: error: package javax.jws does not exist

Googling the error, it becomes apparent that these java dependencies are no longer valid:
import javax.jws.WebMethod; import javax.jws.WebParam; import javax.jws.WebService; import javax.jws.soap.SOAPBinding; 

However the only solution that is presented involves adding a dependency block to a maven .pom file...but maven is not used at all in the github instructions for biomart. 

Can anyone here help, or point me to someone who can?

Thanks! 

--
You received this message because you are subscribed to the Google Groups "biomart-users" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
To view this discussion on the web, visit https://groups.google.com/d/msgid/biomart-users/92119ea5-8b9f-44c2-8311-78a11f2dccd5n%40googlegroups.com.


--
<font color="green">Please consider environment before you print this!</font>

--
You received this message because you are subscribed to the Google Groups "biomart-users" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
To view this discussion on the web, visit https://groups.google.com/d/msgid/biomart-users/CAAAqFDsSao_ysNRJEAuGQAm_KTAUn9jfc36dufmGax9%3DK%2BHjog%40mail.gmail.com.